<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AnalyticsManagerClient Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d3e/class_analytics_manager_client.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AnalyticsManagerClient Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:afb221163d698975a16468e85c815479a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#afb221163d698975a16468e85c815479a">RegisterEvents</a> ()</td></tr>
<tr class="separator:afb221163d698975a16468e85c815479a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a168a8983dd9f97adab0cfb7d77c205"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#a2a168a8983dd9f97adab0cfb7d77c205">UnregisterEvents</a> ()</td></tr>
<tr class="separator:a2a168a8983dd9f97adab0cfb7d77c205"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af80a664805ae07e95eddbf0c31dfaba8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#af80a664805ae07e95eddbf0c31dfaba8">OnActionEat</a> ()</td></tr>
<tr class="separator:af80a664805ae07e95eddbf0c31dfaba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac71de1e479b5f0de4a5686407e1f1a2d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#ac71de1e479b5f0de4a5686407e1f1a2d">OnActionDrink</a> ()</td></tr>
<tr class="separator:ac71de1e479b5f0de4a5686407e1f1a2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afff9d6688d9d19e1b23b42f35ba1bbd9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#afff9d6688d9d19e1b23b42f35ba1bbd9">OnActionCookedSteak</a> ()</td></tr>
<tr class="separator:afff9d6688d9d19e1b23b42f35ba1bbd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62f4f207b880e504a14ba78eb64b9157"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#a62f4f207b880e504a14ba78eb64b9157">OnActionFinishedShaveSelf</a> ()</td></tr>
<tr class="separator:a62f4f207b880e504a14ba78eb64b9157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4d216f338a7e84a1f7759b15355bf9a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#af4d216f338a7e84a1f7759b15355bf9a">OnActionFinishedGutDeer</a> ()</td></tr>
<tr class="separator:af4d216f338a7e84a1f7759b15355bf9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ed1b56e835b8c4719c3b15d4c00541d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#a6ed1b56e835b8c4719c3b15d4c00541d">OnActionRestrain</a> ()</td></tr>
<tr class="separator:a6ed1b56e835b8c4719c3b15d4c00541d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a597b38efae4cdb5ccb533d06d3a11f43"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#a597b38efae4cdb5ccb533d06d3a11f43">OnActionBandageTarget</a> ()</td></tr>
<tr class="separator:a597b38efae4cdb5ccb533d06d3a11f43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c26025e6e9bbb0c06f86c545163e859"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#a9c26025e6e9bbb0c06f86c545163e859">OnItemAttachedAtPlayer</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> slot_name)</td></tr>
<tr class="separator:a9c26025e6e9bbb0c06f86c545163e859"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc00bba8ec8bcce91091e672386b23c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#afc00bba8ec8bcce91091e672386b23c4">Event_OnPlayerIgnitedFireplace</a> (<a class="el" href="../../da/df6/_e_fire_ignite_type_8c.html#a96be9fad49c872d620786d85934daafe">EFireIgniteType</a> ignite_type)</td></tr>
<tr class="separator:afc00bba8ec8bcce91091e672386b23c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1467e65be887768c385f4c5bad90e23a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#a1467e65be887768c385f4c5bad90e23a">Event_OnEntityKilled</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> victim, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> killer, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source, <a class="el" href="../../d9/db9/classbool.html">bool</a> is_headshot)</td></tr>
<tr class="separator:a1467e65be887768c385f4c5bad90e23a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a4e294f8e4d2d8766c9d0f52c7e05c5b7"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#a4e294f8e4d2d8766c9d0f52c7e05c5b7">GEAR_COUNT</a> = 3</td></tr>
<tr class="separator:a4e294f8e4d2d8766c9d0f52c7e05c5b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1196b9d9b31291b6078fdd47bdec1310"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html#a1196b9d9b31291b6078fdd47bdec1310">m_FullGear</a> [<a class="el" href="../../d8/d3e/class_analytics_manager_client.html#a4e294f8e4d2d8766c9d0f52c7e05c5b7">GEAR_COUNT</a>] = {&quot;Shoulder&quot;,&quot;Melee&quot;,&quot;Back&quot;}</td></tr>
<tr class="separator:a1196b9d9b31291b6078fdd47bdec1310"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00001">1</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1467e65be887768c385f4c5bad90e23a" name="a1467e65be887768c385f4c5bad90e23a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1467e65be887768c385f4c5bad90e23a">&#9670;&#160;</a></span>Event_OnEntityKilled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::Event_OnEntityKilled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>victim</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>killer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>is_headshot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00173">173</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="afc00bba8ec8bcce91091e672386b23c4" name="afc00bba8ec8bcce91091e672386b23c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc00bba8ec8bcce91091e672386b23c4">&#9670;&#160;</a></span>Event_OnPlayerIgnitedFireplace()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::Event_OnPlayerIgnitedFireplace </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/df6/_e_fire_ignite_type_8c.html#a96be9fad49c872d620786d85934daafe">EFireIgniteType</a>&#160;</td>
          <td class="paramname"><em>ignite_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00148">148</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="a597b38efae4cdb5ccb533d06d3a11f43" name="a597b38efae4cdb5ccb533d06d3a11f43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a597b38efae4cdb5ccb533d06d3a11f43">&#9670;&#160;</a></span>OnActionBandageTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::OnActionBandageTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00069">69</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="afff9d6688d9d19e1b23b42f35ba1bbd9" name="afff9d6688d9d19e1b23b42f35ba1bbd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afff9d6688d9d19e1b23b42f35ba1bbd9">&#9670;&#160;</a></span>OnActionCookedSteak()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::OnActionCookedSteak </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00037">37</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="ac71de1e479b5f0de4a5686407e1f1a2d" name="ac71de1e479b5f0de4a5686407e1f1a2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac71de1e479b5f0de4a5686407e1f1a2d">&#9670;&#160;</a></span>OnActionDrink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::OnActionDrink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00029">29</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="af80a664805ae07e95eddbf0c31dfaba8" name="af80a664805ae07e95eddbf0c31dfaba8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af80a664805ae07e95eddbf0c31dfaba8">&#9670;&#160;</a></span>OnActionEat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::OnActionEat </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00021">21</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="af4d216f338a7e84a1f7759b15355bf9a" name="af4d216f338a7e84a1f7759b15355bf9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4d216f338a7e84a1f7759b15355bf9a">&#9670;&#160;</a></span>OnActionFinishedGutDeer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::OnActionFinishedGutDeer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00053">53</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="a62f4f207b880e504a14ba78eb64b9157" name="a62f4f207b880e504a14ba78eb64b9157"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62f4f207b880e504a14ba78eb64b9157">&#9670;&#160;</a></span>OnActionFinishedShaveSelf()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::OnActionFinishedShaveSelf </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00045">45</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="a6ed1b56e835b8c4719c3b15d4c00541d" name="a6ed1b56e835b8c4719c3b15d4c00541d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ed1b56e835b8c4719c3b15d4c00541d">&#9670;&#160;</a></span>OnActionRestrain()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::OnActionRestrain </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00061">61</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="a9c26025e6e9bbb0c06f86c545163e859" name="a9c26025e6e9bbb0c06f86c545163e859"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c26025e6e9bbb0c06f86c545163e859">&#9670;&#160;</a></span>OnItemAttachedAtPlayer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::OnItemAttachedAtPlayer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>slot_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00077">77</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="afb221163d698975a16468e85c815479a" name="afb221163d698975a16468e85c815479a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb221163d698975a16468e85c815479a">&#9670;&#160;</a></span>RegisterEvents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::RegisterEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00006">6</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="a2a168a8983dd9f97adab0cfb7d77c205" name="a2a168a8983dd9f97adab0cfb7d77c205"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a168a8983dd9f97adab0cfb7d77c205">&#9670;&#160;</a></span>UnregisterEvents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyticsManagerClient::UnregisterEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00012">12</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a4e294f8e4d2d8766c9d0f52c7e05c5b7" name="a4e294f8e4d2d8766c9d0f52c7e05c5b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e294f8e4d2d8766c9d0f52c7e05c5b7">&#9670;&#160;</a></span>GEAR_COUNT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AnalyticsManagerClient::GEAR_COUNT = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00003">3</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<a id="a1196b9d9b31291b6078fdd47bdec1310" name="a1196b9d9b31291b6078fdd47bdec1310"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1196b9d9b31291b6078fdd47bdec1310">&#9670;&#160;</a></span>m_FullGear</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> AnalyticsManagerClient::m_FullGear[<a class="el" href="../../d8/d3e/class_analytics_manager_client.html#a4e294f8e4d2d8766c9d0f52c7e05c5b7">GEAR_COUNT</a>] = {&quot;Shoulder&quot;,&quot;Melee&quot;,&quot;Back&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html#l00004">4</a> of file <a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Analytics/<a class="el" href="../../d8/d00/_analytics_manager_client_8c_source.html">AnalyticsManagerClient.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d3e/class_analytics_manager_client.html">AnalyticsManagerClient</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
